view.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::GCC::CardConst
| Constant view containing lower and upper cardinality bounds. More...
class | Gecode::Int::GCC::CardView
| Cardinality integer view. More...
class | Gecode::Int::ViewRanges< GCC::CardView >
| Range iterator for indexed problem variables More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::GCC
| Global cardinality propagators (Counting).

## Functions

template<class T>
bool | Gecode::Int::GCC::lookupValue (T &a, int v, int &i)
| Return index of v in array a.